# -*- coding: utf-8 -*-

from typing import List

from fastapi import APIRouter, Depends, HTTPException, Query
from loguru import logger

from app.models.domain.bluetooth import BluetoothUserResponse
from app.schemas.bluetooth import BluetoothCreate

router = APIRouter()


@router.post('/user/{user_id}', response_model=BluetoothUserResponse)
async def create_bluetooth_info(user_id: str, bluetooth_info: List[BluetoothCreate]):
    valid_data = []
    try:
        for item in bluetooth_info:
            if len(item.advertisData) == 31:
                valid_data.append(item)
    except TypeError:
        pass
    logger.debug(valid_data)
    info_list = [item.dict() for item in bluetooth_info]
    logger.info(f'{user_id}: {info_list}')
    response = {'Result': 'success'}

    return response
