# -*- coding: utf-8 -*-

import pandas as pd
import scipy.io as sio

from app.core.config import settings

q_learning_models = {}
ahu_supply_air_temp_set_dict = {}


async def load_q_learning_model():
    base_path = settings.PROJECT_DIR
    summer_model_path = f'{base_path}/app/resources/ml_models/equipment/fcu/q_learning/net_1_summer.mat'
    winter_model_path = f'{base_path}/app/resources/ml_models/equipment/fcu/q_learning/net_1_winter.mat'
    q_learning_models.update({'summer': sio.loadmat(summer_model_path)['net'][0, 0][0]})
    q_learning_models.update({'winter': sio.loadmat(winter_model_path)['net'][0, 0][0]})


async def load_ahu_supply_temperature_set_dict():
    base_path = settings.PROJECT_DIR
    data_path = f'{base_path}/app/resources/ml_models/equipment/ahu/supply_temp_set_dict.csv'
    ahu_supply_air_temp_set_dict.update({'dataframe': pd.read_csv(data_path)})
